summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh19
1 files changed, 16 insertions, 3 deletions
diff --git a/autogen.sh b/autogen.sh
index 9669bfb..d65b0b7 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,5 +1,18 @@
#!/bin/sh
-mkdir -p m4
-autoreconf -fi
-rm -rf autom4te.cache
+run ()
+{
+ echo "running: $*"
+ eval $*
+
+ if test $? != 0 ; then
+ echo "error: while running '$*'"
+ exit 1
+ fi
+}
+
+run aclocal
+run autoheader
+run libtoolize -f
+run automake -a
+run autoconf